#pragma once

#include "AggreGateException.h"
#include "binding/BindingException.h"
#include <list>

class ErrorCollector
{
public:
	ErrorCollector() {}
	
    void addError(AggreGateException& error)
	{
		errors.push_back( error );
	}
    void addError(BindingException error)
    {
        errors.push_back( error );
    }
    std::list<AggreGateException>  getErrors()
	{
		return errors;
	}	

private:
    std::list<AggreGateException>  errors;
};
